/*
 *
 * Copyright  2003 Angelo Rosiello - Roberto Carrozzo.
 * All Rights Reserved.
 *
 *			     A.R.C.S.
 *	         Angelo Rosiello & Roberto Carrrozzo 
 *		          Stream Cipher
 *
 *
 * 			    DISCLAIMER
 * 
 * A.R.C.S. is under copyright. 
 * Please respect it to keep out from any legal drawback. 
 * The code is not free for commercial use.
 * You must contact the authors in order to get the authorization
 * to utilize ARCS.
 * If you get the authorization to use this software in a product, 
 * Angelo Rosiello and Roberto Carrozzo should be given attributions
 * as the authors of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation provided with the package.
 * Redistribution and use in source and binary forms, with modifications,
 * are not permitted.(i.e. This code cannot simply be copied or modified
 * and put under any distribution license [including the GNU public
 * license]).
 * 
 *
 * AUTHORS: Angelo Rosiello - Roberto Carrozzo
 * DATE   : 20/07/2003
 * CONTACT: angelo@rosiello.org - roberto.carrozzo@rosiello.org
 * URL	  : http://www.rosiello.org
 *
 */
 
 
#include "library.h"
#include "ARCS.h"

int main( int argc, char *argv[] )
{
	char pwdOpt[]	=	"-p"		;
	int optionOk				;

	optionOk	=	0		;

        printf( "\nARCS Algorithm developed by\n" )	;
        printf( "<-- Angelo Rosiello & Roberto Carrozzo 2003 -->\n" );
        printf( "http://www.rosiello.org\n\n" )		;
        printf( "This product includes cryptographic software written by Eric Young (eay@mincom.oz.au)\n\n" );

	if( argc != 5 )
	{
		printf( "USAGE: %s -p PASSWORD source destination\n", argv[0] )	;
		exit( 0 )	;
	}

	if( strcmp( argv[1], pwdOpt ) == 0 )
	{
		if( strlen( argv[2] )<6 || strlen( argv[2] )>40 )
		{
			printf( "Password invalid, too long or too short!\n" );
			exit( 0 )			;
		}
	 	if( (ARCS( argv[3], argv[4], argv[2] ) == -1) )  
			return 0 	;
	 	optionOk = 1				;
		fprintf( stdout, "File Processed\n" )	;
	}
	if( optionOk == 0 ) printf( "USAGE: %s -p PASSWORD source destination\n", argv[0] )	 ;
	return 0	;
}
